Bug 1223582 - RFE: skip indexing /var/lib/ceph
Summary: RFE: skip indexing /var/lib/ceph
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mlocate
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Sekletar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-20 23:06 UTC by Ken Dreyer (Red Hat)
Modified: 2015-06-21 00:19 UTC (History)
2 users (show)

Fixed In Version: mlocate-0.26-8.fc21
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-07 16:03:57 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 7451 0 None None None Never
Debian BTS 786433 0 None None None Never
Launchpad 1281074 0 None None None Never

Description Ken Dreyer (Red Hat) 2015-05-20 23:06:46 UTC
Description of problem:
Ceph is a software-defined storage project, and it stores its data in /var/lib/ceph as a big set of files. The problem is that updatedb indexes /var/lib/ceph along with everything else on the system. This /var/lib/ceph location is typically *very* large, and Ceph users are not supposed to go poking around at the files in there.

Version-Release number of selected component (if applicable):
mlocate-0.26-9.fc22

How reproducible:
always

Steps to Reproduce:
1. mount some large OSD disks under /var/lib/ceph
2. updatedb runs and indexes all of the OSDs' files

Actual results:
IO slows to a crawl

Expected results:
updatedb excludes Ceph data (add /var/lib/ceph to PRUNEPATHS)

Additional info:
Ceph also has a filesystem, so it would be nice to exclude the "ceph" and "fuse.ceph" filesystem types as well (via PRUNEFS).

For more background information, see a thread on the ceph-users mailing list: http://lists.ceph.com/pipermail/ceph-users-ceph.com/2014-February/037446.html

More discussion on ceph-devel: http://www.spinics.net/lists/ceph-devel/msg18098.html

Comment 1 Fedora Update System 2015-05-27 11:15:43 UTC
mlocate-0.26-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mlocate-0.26-8.fc21

Comment 2 Fedora Update System 2015-05-28 11:58:04 UTC
Package mlocate-0.26-8.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mlocate-0.26-8.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8989/mlocate-0.26-8.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2015-05-28 12:49:37 UTC
mlocate-0.26-10.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mlocate-0.26-10.fc22

Comment 4 Ken Dreyer (Red Hat) 2015-05-28 14:39:03 UTC
Thanks for shipping this change!

Would you mind excluding the "ceph" and "fuse.ceph" filesystem types as well, adding them to PRUNEFS?

Comment 5 Fedora Update System 2015-06-07 16:03:57 UTC
mlocate-0.26-10.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-06-21 00:19:38 UTC
mlocate-0.26-8.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.